LNKFORWARD(1)

NAME
lnkforward - open an URL in a Windows .lnk file under KDE

SYNOPSIS
lnkforward [ generic-options ] [ --map drive=path ... ] URL

DESCRIPTION
lnkforward examines a Windows .lnk file, determines its target and then opens this target file. In deciding how to open the target file, the usual KDE file associations will be used.

The given URL must include a protocol. Specifically, if it is simply a file on the local filesystem, it must be given in the form file:/path/to/file.lnk.

Drive mappings must be supplied (via --map) for any Windows drive referred to in the .lnk file. See the OPTIONS section below for details.

This utility is used by the .lnk kfile plugin, and is part of the official KDE add-ons module.

OPTIONS
Below are the lnkforward-specific options. For a full summary of options, run lnkforward --help.

--map drive=path
    Map the given Windows drive to the given path on the local filesystem (generally its mount point). This option may be passed multiple times.

EXAMPLE
Suppose that the Windows file c:\readme.txt.lnk is a link to d:\foo\bar.txt. Then the following command will open the file /mnt/data/foo/bar.txt in the usual KDE text editor:

    prompt$ lnkforward --map c=/mnt/windows --map d=/mnt/data /mnt/windows/readme.lnk

AUTHOR
This utility was written by Martin Koller <m.koller@surfeu.at>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).